require("AnAL")

local lg = love.graphics

function love.load()
    stance = newAnimation(lg.newImage("Stance.png"), 512, 512, 0.15, 0)
    lg.setBackgroundColor(150, 150, 150)
end

function love.keypressed(key, unicode)
    if key == "escape" then
        love.event.push("quit")
    end
end

function love.update(dt)
    stance:update(dt)
end

function love.draw()
    stance:draw(256, 256, 0, -1, 1, stance:getWidth() * 0.5, stance:getHeight() * 0.5)
end